- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoArchiveFitnessSavingUpdater< EOT > Class Template Reference

This class allows to save the fitnesses of solutions contained in an archive into a file at each generation. More...

`#include <moeoArchiveFitnessSavingUpdater.h>`

Inheritance diagram for moeoArchiveFitnessSavingUpdater< EOT >:

List of all members.

## Public Member Functions
| moeoArchiveFitnessSavingUpdater (moeoArchive< EOT > &_arch, const std::string &_filename="Res/Arch", int _id=-1)
| Ctor.
void | operator() ()
| Saves the fitness of the archive's members into the file.
## Private Attributes
moeoArchive< EOT > & | arch
| local archive
std::string | filename
| target filename
int | id
| own ID
unsigned | counter
| counter

## Detailed Description

### template<class EOT>
class moeoArchiveFitnessSavingUpdater< EOT >

This class allows to save the fitnesses of solutions contained in an archive into a file at each generation.

Definition at line 27 of file moeoArchiveFitnessSavingUpdater.h.

## Constructor & Destructor Documentation

template<class EOT>
moeoArchiveFitnessSavingUpdater< EOT >::moeoArchiveFitnessSavingUpdater | ( | moeoArchive< EOT > & | _arch,
|  | const std::string & | _filename = `"Res/Arch"`,
|  | int | _id = `-1`
| ) | `[inline]`

  | Ctor. Parameters:
  | _arch | local archive
  | _filename | target filename
  | _id | own ID
Definition at line 37 of file moeoArchiveFitnessSavingUpdater.h.

The documentation for this class was generated from the following file:

- moeoArchiveFitnessSavingUpdater.h